export var CredentialTypes;
(function (CredentialTypes) {
    CredentialTypes["Email"] = "Email";
    CredentialTypes["MobilePhone"] = "Mobile Phone";
    CredentialTypes["Name"] = "Name";
    CredentialTypes["PostalAddress"] = "Postal Address";
})(CredentialTypes || (CredentialTypes = {}));
export var Categories;
(function (Categories) {
    Categories["Personal"] = "Personal";
    Categories["Contact"] = "Contact";
    Categories["Other"] = "Other";
})(Categories || (Categories = {}));
export const uiCredentialTypeByType = {
    ProofOfEmailCredential: CredentialTypes.Email,
    ProofOfMobilePhoneNumberCredential: CredentialTypes.MobilePhone,
    ProofOfNameCredential: CredentialTypes.Name,
    ProofOfPostalAddressCredential: CredentialTypes.PostalAddress,
};
export const uiCategoryByCredentialType = {
    Contact: [
        CredentialTypes.Email,
        CredentialTypes.MobilePhone,
        CredentialTypes.PostalAddress,
    ],
    Personal: [CredentialTypes.Name],
};
export const defaultUiCategories = Object.keys(uiCategoryByCredentialType);
