import { randomBytes } from 'crypto';
const createNotificationFactory = (template) => (overrides) => (Object.assign({ id: randomBytes(4).toString('hex') }, template, overrides));
export var NotificationFilter;
(function (NotificationFilter) {
    NotificationFilter[NotificationFilter["none"] = 0] = "none";
    NotificationFilter[NotificationFilter["all"] = 1] = "all";
    NotificationFilter[NotificationFilter["onlyDismissible"] = 2] = "onlyDismissible";
})(NotificationFilter || (NotificationFilter = {}));
export var NotificationType;
(function (NotificationType) {
    NotificationType["error"] = "error";
    NotificationType["info"] = "info";
    NotificationType["warning"] = "warning";
})(NotificationType || (NotificationType = {}));
export const createInfoNotification = createNotificationFactory({
    type: NotificationType.info,
    dismiss: {
        timeout: 3000,
    },
});
export const createWarningNotification = createNotificationFactory({
    type: NotificationType.warning,
    dismiss: {
        timeout: 3000,
    },
});
export const createStickyNotification = createNotificationFactory({
    type: NotificationType.info,
    dismiss: false,
});
