var CredentialEntity_1;
import * as tslib_1 from "tslib";
import { ManyToOne, Entity, Column, PrimaryGeneratedColumn, Unique, } from 'typeorm/browser';
import { Type, plainToClass } from 'class-transformer';
import { VerifiableCredentialEntity } from './verifiableCredentialEntity';
let CredentialEntity = CredentialEntity_1 = class CredentialEntity {
    static fromJSON(json) {
        return plainToClass(CredentialEntity_1, json);
    }
    // TODO Handle encryption
    static fromVerifiableCredential(vCred) {
        const credentialSection = vCred.claim;
        const presentClaims = Object.keys(credentialSection).find(k => k !== 'id');
        if (!presentClaims) {
            throw new Error('Only entry in the claim is the id.');
        }
        return convertClaimObjectToArray(credentialSection).map(el => this.fromJSON(el));
    }
};
tslib_1.__decorate([
    PrimaryGeneratedColumn(),
    tslib_1.__metadata("design:type", Number)
], CredentialEntity.prototype, "id", void 0);
tslib_1.__decorate([
    Type(() => VerifiableCredentialEntity),
    ManyToOne(type => VerifiableCredentialEntity, vCred => vCred.claim),
    tslib_1.__metadata("design:type", VerifiableCredentialEntity)
], CredentialEntity.prototype, "verifiableCredential", void 0);
tslib_1.__decorate([
    Column({ length: 50 }),
    tslib_1.__metadata("design:type", String)
], CredentialEntity.prototype, "propertyName", void 0);
tslib_1.__decorate([
    Column(),
    tslib_1.__metadata("design:type", String)
], CredentialEntity.prototype, "propertyValue", void 0);
CredentialEntity = CredentialEntity_1 = tslib_1.__decorate([
    Entity('credentials'),
    Unique(['verifiableCredential', 'propertyName'])
], CredentialEntity);
export { CredentialEntity };
const convertClaimObjectToArray = (claimSection) => Object.keys(claimSection)
    .filter(key => key !== 'id')
    .map(key => ({
    propertyName: key,
    propertyValue: claimSection[key],
}));
