var SignatureEntity_1;
import * as tslib_1 from "tslib";
import { Entity, Column, ManyToOne, PrimaryGeneratedColumn, Unique, } from 'typeorm/browser';
import { VerifiableCredentialEntity } from './verifiableCredentialEntity';
import { plainToClass } from 'class-transformer';
let SignatureEntity = SignatureEntity_1 = class SignatureEntity {
    static fromJSON(json) {
        return plainToClass(SignatureEntity_1, json);
    }
    static fromLinkedDataSignature(lds) {
        const json = lds.toJSON();
        return this.fromJSON(json);
    }
};
tslib_1.__decorate([
    PrimaryGeneratedColumn(),
    tslib_1.__metadata("design:type", Number)
], SignatureEntity.prototype, "id", void 0);
tslib_1.__decorate([
    ManyToOne(type => VerifiableCredentialEntity, vCred => vCred.proof),
    tslib_1.__metadata("design:type", VerifiableCredentialEntity)
], SignatureEntity.prototype, "verifiableCredential", void 0);
tslib_1.__decorate([
    Column(),
    tslib_1.__metadata("design:type", String)
], SignatureEntity.prototype, "type", void 0);
tslib_1.__decorate([
    Column(),
    tslib_1.__metadata("design:type", Date)
], SignatureEntity.prototype, "created", void 0);
tslib_1.__decorate([
    Column(),
    tslib_1.__metadata("design:type", String)
], SignatureEntity.prototype, "creator", void 0);
tslib_1.__decorate([
    Column({ nullable: true }),
    tslib_1.__metadata("design:type", String)
], SignatureEntity.prototype, "nonce", void 0);
tslib_1.__decorate([
    Column(),
    tslib_1.__metadata("design:type", String)
], SignatureEntity.prototype, "signatureValue", void 0);
SignatureEntity = SignatureEntity_1 = tslib_1.__decorate([
    Entity('signatures'),
    Unique(['verifiableCredential', 'signatureValue'])
], SignatureEntity);
export { SignatureEntity };
