var VerifiableCredentialEntity_1;
import * as tslib_1 from "tslib";
import { PrimaryColumn, Entity, Column, OneToMany, ManyToOne, } from 'typeorm/browser';
import { Exclude, Expose, plainToClass, classToPlain } from 'class-transformer';
import { SignedCredential } from 'jolocom-lib/js/credentials/signedCredential/signedCredential';
import { PersonaEntity } from './personaEntity';
import { SignatureEntity } from './signatureEntity';
import { CredentialEntity } from './credentialEntity';
let VerifiableCredentialEntity = VerifiableCredentialEntity_1 = class VerifiableCredentialEntity {
    static fromJSON(json) {
        return plainToClass(VerifiableCredentialEntity_1, json);
    }
    // TODO typo
    static fromVerifiableCredential(vCred) {
        const json = vCred.toJSON();
        json.subject = vCred.subject;
        return this.fromJSON(json);
    }
    // TODO handle decryption
    toVerifiableCredential() {
        const json = classToPlain(this);
        const entityData = Object.assign({}, json, { claim: convertClaimArrayToObject(this.claim, this.subject.did), proof: this.proof[0] });
        return SignedCredential.fromJSON(entityData);
    }
};
tslib_1.__decorate([
    Expose({ name: '@context' }),
    Column({ name: '@context', type: 'simple-json' }),
    tslib_1.__metadata("design:type", Object)
], VerifiableCredentialEntity.prototype, "_context", void 0);
tslib_1.__decorate([
    Expose(),
    PrimaryColumn({ length: 50 }),
    tslib_1.__metadata("design:type", String)
], VerifiableCredentialEntity.prototype, "id", void 0);
tslib_1.__decorate([
    Expose(),
    Column({ type: 'simple-array' }),
    tslib_1.__metadata("design:type", String)
], VerifiableCredentialEntity.prototype, "type", void 0);
tslib_1.__decorate([
    Expose(),
    Column({ length: 20, nullable: true }),
    tslib_1.__metadata("design:type", String)
], VerifiableCredentialEntity.prototype, "name", void 0);
tslib_1.__decorate([
    Expose(),
    Column({ length: 75 }),
    tslib_1.__metadata("design:type", String)
], VerifiableCredentialEntity.prototype, "issuer", void 0);
tslib_1.__decorate([
    Expose(),
    Column(),
    tslib_1.__metadata("design:type", Date)
], VerifiableCredentialEntity.prototype, "issued", void 0);
tslib_1.__decorate([
    Expose(),
    Column({ nullable: true }),
    tslib_1.__metadata("design:type", Date)
], VerifiableCredentialEntity.prototype, "expires", void 0);
tslib_1.__decorate([
    Expose(),
    ManyToOne(type => PersonaEntity, persona => persona.did),
    tslib_1.__metadata("design:type", PersonaEntity)
], VerifiableCredentialEntity.prototype, "subject", void 0);
tslib_1.__decorate([
    OneToMany(type => SignatureEntity, sig => sig.verifiableCredential, {
        cascade: true,
        onDelete: 'CASCADE',
    }),
    tslib_1.__metadata("design:type", Array)
], VerifiableCredentialEntity.prototype, "proof", void 0);
tslib_1.__decorate([
    OneToMany(type => CredentialEntity, cred => cred.verifiableCredential, {
        cascade: true,
        onDelete: 'CASCADE',
    }),
    tslib_1.__metadata("design:type", Array)
], VerifiableCredentialEntity.prototype, "claim", void 0);
VerifiableCredentialEntity = VerifiableCredentialEntity_1 = tslib_1.__decorate([
    Exclude(),
    Entity('verifiable_credentials')
], VerifiableCredentialEntity);
export { VerifiableCredentialEntity };
const convertClaimArrayToObject = (claims, did) => claims.reduce((acc, claim) => {
    const { propertyName, propertyValue } = claim;
    return Object.assign({}, acc, { [propertyName]: propertyValue });
}, { id: did });
