import { SignedCredential } from 'jolocom-lib/js/credentials/signedCredential/signedCredential';
import { JSONWebToken } from 'jolocom-lib/js/interactionTokens/JSONWebToken';
import { CredentialsReceive } from 'jolocom-lib/js/interactionTokens/credentialsReceive';
import { CredentialRequest } from 'jolocom-lib/js/interactionTokens/credentialRequest';
import { ThunkAction } from '../../store';
import { CredentialMetadataSummary } from '../../lib/storage/storage';
import { DecoratedClaims } from '../../reducers/account';
import { CredentialRequestSummary, CredentialVerificationSummary, IdentitySummary } from './types';
export declare const setReceivingCredential: (requester: IdentitySummary, external: {
    decoratedClaim: DecoratedClaims;
    credential: SignedCredential;
}[]) => {
    type: string;
    value: {
        offeror: IdentitySummary;
        offer: {
            decoratedClaim: DecoratedClaims;
            credential: SignedCredential;
        }[];
    };
};
export declare const receiveExternalCredential: (credReceive: JSONWebToken<CredentialsReceive>, offeror: IdentitySummary, isDeepLinkInteraction: boolean, credentialOfferMetadata?: CredentialMetadataSummary[] | undefined) => import("redux-thunk").ThunkAction<import("redux").AnyAction | Promise<void | import("redux").AnyAction>, import("../../reducers").RootState, import("../../backendMiddleware").BackendMiddleware, import("redux").AnyAction>;
export declare const consumeCredentialRequest: (decodedCredentialRequest: JSONWebToken<CredentialRequest>, isDeepLinkInteraction: boolean) => import("redux-thunk").ThunkAction<import("redux").AnyAction | Promise<void | import("redux").AnyAction>, import("../../reducers").RootState, import("../../backendMiddleware").BackendMiddleware, import("redux").AnyAction>;
export declare const sendCredentialResponse: (selectedCredentials: CredentialVerificationSummary[], credentialRequestDetails: CredentialRequestSummary, isDeepLinkInteraction?: boolean) => import("redux-thunk").ThunkAction<import("redux").AnyAction | Promise<void | import("redux").AnyAction>, import("../../reducers").RootState, import("../../backendMiddleware").BackendMiddleware, import("redux").AnyAction>;
export declare const cancelSSO: ThunkAction;
export declare const cancelReceiving: ThunkAction;
