import fetch from 'node-fetch';
var HttpMethods;
(function (HttpMethods) {
    HttpMethods["GET"] = "GET";
    HttpMethods["POST"] = "POST";
    HttpMethods["HEAD"] = "HEAD";
})(HttpMethods || (HttpMethods = {}));
export const httpAgent = {
    getRequest: (endpoint) => fetch(endpoint, {
        method: HttpMethods.GET,
    }).then(res => res.json()),
    headRequest(endpoint) {
        return fetch(endpoint, {
            method: HttpMethods.HEAD,
        }).then(res => res.json());
    },
    postRequest(endpoint, headers = {}, data) {
        return fetch(endpoint, {
            method: HttpMethods.POST,
            headers,
            body: typeof data === 'string' ? data : JSON.stringify(data),
        }).then(res => res.json());
    },
};
