import { JSONWebToken } from 'jolocom-lib/js/interactionTokens/JSONWebToken';
import { InteractionType } from 'jolocom-lib/js/interactionTokens/types';
import { Authentication } from 'jolocom-lib/js/interactionTokens/authentication';
import { CredentialOfferRequest } from 'jolocom-lib/js/interactionTokens/credentialOfferRequest';
import { CredentialRequest } from 'jolocom-lib/js/interactionTokens/credentialRequest';
import { PaymentRequest } from 'jolocom-lib/js/interactionTokens/paymentRequest';
/**
 * @param Metadata should not need to be passed to credential receive because it comes from cred Offer
 * Furthermore, this only needs to be defined for requests
 */
export declare const interactionHandlers: {
    [InteractionType.Authentication]: <T extends JSONWebToken<Authentication>>(interactionToken: T, isDeepLinkInteraction: boolean) => import("redux-thunk").ThunkAction<import("redux").AnyAction | Promise<void | import("redux").AnyAction>, import("../../reducers").RootState, import("../../backendMiddleware").BackendMiddleware, import("redux").AnyAction>;
    [InteractionType.CredentialRequest]: <T extends JSONWebToken<CredentialRequest>>(interactionToken: T, isDeepLinkInteraction: boolean) => import("redux-thunk").ThunkAction<import("redux").AnyAction | Promise<void | import("redux").AnyAction>, import("../../reducers").RootState, import("../../backendMiddleware").BackendMiddleware, import("redux").AnyAction>;
    [InteractionType.CredentialOfferRequest]: <T extends JSONWebToken<CredentialOfferRequest>>(interactionToken: T, isDeepLinkInteraction: boolean) => import("redux-thunk").ThunkAction<import("redux").AnyAction | Promise<void | import("redux").AnyAction>, import("../../reducers").RootState, import("../../backendMiddleware").BackendMiddleware, import("redux").AnyAction>;
    [InteractionType.PaymentRequest]: <T extends JSONWebToken<PaymentRequest>>(interactionToken: T, isDeepLinkInteraction: boolean) => (dispatch: import("redux-thunk").ThunkDispatch<import("../../reducers").RootState, import("../../backendMiddleware").BackendMiddleware, import("redux").AnyAction>, getState: () => import("../../reducers").RootState, backendMiddleware: import("../../backendMiddleware").BackendMiddleware) => Promise<void | import("redux").AnyAction>;
};
