import { InteractionType } from 'jolocom-lib/js/interactionTokens/types';
import { consumeCredentialRequest } from '../../actions/sso';
import { consumeAuthenticationRequest } from '../../actions/sso/authenticationRequest';
import { consumeCredentialOfferRequest } from '../../actions/sso/credentialOfferRequest';
import { consumePaymentRequest } from '../../actions/sso/paymentRequest';
/**
 * @param Metadata should not need to be passed to credential receive because it comes from cred Offer
 * Furthermore, this only needs to be defined for requests
 */
export const interactionHandlers = {
    [InteractionType.Authentication]: (interactionToken, isDeepLinkInteraction) => consumeAuthenticationRequest(interactionToken, isDeepLinkInteraction),
    [InteractionType.CredentialRequest]: (interactionToken, isDeepLinkInteraction) => consumeCredentialRequest(interactionToken, isDeepLinkInteraction),
    [InteractionType.CredentialOfferRequest]: (interactionToken, isDeepLinkInteraction) => consumeCredentialOfferRequest(interactionToken, isDeepLinkInteraction),
    [InteractionType.PaymentRequest]: (interactionToken, isDeepLinkInteraction) => consumePaymentRequest(interactionToken, isDeepLinkInteraction),
};
