/**
 * This file contains polyfills for various things that are somehow coupled
 * with react-native. This is meant to be used as a polyfill for running the
 * backendMiddleware and redux store under node
 */
/// <reference types="node" />
import { BackendMiddleware } from 'src/backendMiddleware';
import { RootState } from 'src/reducers';
export declare function initStore(): {
    backendMiddleware: BackendMiddleware;
    dispatch: import("redux").Dispatch<RootState>;
    getState(): RootState;
    subscribe(listener: () => void): import("redux").Unsubscribe;
    replaceReducer(nextReducer: import("redux").Reducer<RootState>): void;
};
export declare class KeyChain implements KeyChainInterface {
    static PASSWORD_LOCATION: string;
    private pass;
    getPassword(): Promise<string>;
    savePassword(pass: string): Promise<void>;
}
export interface KeyChainInterface {
    savePassword: (password: string) => Promise<void>;
    getPassword: () => Promise<string>;
}
export { IpfsStorageAgent as IpfsCustomConnector, } from 'node_modules/jolocom-lib/js/ipfs/ipfs';
declare const _default: {
    fetch: (method: any, endpoint: any, headers?: any, formDataList?: any) => any;
    t: (str: string) => string;
    hide: () => void;
};
export default _default;
import { randomBytes } from 'crypto';
export declare const NativeModules: {
    RNRandomBytes: {
        randomBytes: typeof randomBytes;
    };
};
export declare class Linking {
    static canOpenURL(url: string): Promise<boolean>;
    static openURL(url: string): Promise<void>;
}
export declare function initSentry(): void;
import { ErrorReport } from 'src/lib/errors/types';
export declare function reportErrorToSentry(err: ErrorReport, extraData: any): void;
export declare function findBestAvailableLanguage(locales: string[]): {
    languageTag: string;
};
