import { reject } from 'ramda';
import { NotificationFilter } from 'src/lib/notifications';
export const SCHEDULE_NOTIFICATION = 'SCHEDULE_NOTIFICATION';
export const REMOVE_NOTIFICATION = 'REMOVE_NOTIFICATION';
export const SET_ACTIVE_NOTIFICATION = 'SET_ACTIVE_NOTIFICATION';
export const CLEAR_NOTIFICATIONS = 'CLEAR_NOTIFICATIONS';
export const SET_ACTIVE_FILTER = 'SET_ACTIVE_FILTER';
const initialState = {
    queue: [],
    active: null,
    activeExpiryTs: 0,
    activeFilter: NotificationFilter.all,
};
export const notificationsReducer = (state = initialState, action) => {
    switch (action.type) {
        case SCHEDULE_NOTIFICATION:
            return Object.assign({}, state, { queue: [...state.queue, action.notification] });
        case REMOVE_NOTIFICATION:
            const queue = reject(notification => notification.id === action.notification.id, state.queue);
            return Object.assign({}, state, { queue });
        case SET_ACTIVE_NOTIFICATION:
            return Object.assign({}, state, { active: action.notification, activeExpiryTs: action.expiry });
        case CLEAR_NOTIFICATIONS:
            return initialState;
        case SET_ACTIVE_FILTER:
            if (state.activeFilter === action.value)
                return state;
            return Object.assign({}, state, { activeFilter: action.value });
        default:
            return state;
    }
};
